ROHTO BUGS - Bug #1568

[ESS-Travel] file upload attachment bisa di upload namun tidak masuk ke atasan DS1.
09/08/2022 04:05 PM - Muhammad Bintar

Status: Closed Start date: 09/08/2022
Priority: High Due date: 09/12/2022
Assignee: M Azid Wahyudi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.30 hour
Description

dear tim developer mohon support nya untuk perbaikan pada ESS travel dimana pada saat upload attachment sukses masuk ke
dalam form ESS tetapi tidak bisa di lihat oleh atasan ds1 nya.
sudah di setting panjang length nya di sdatatablefield dan tabel design tetapi tidak pengaruh.

remote.minovais.com:61121
username minovais
password 123

database sql server 2019
remote.minovais.com, 1445\MSSQLSERVER2019

History

#1 - 09/08/2022 05:19 PM - Kezia Pawitra Yulianti
- Status changed from New to Assigned

- Priority changed from Normal to High

#2 - 09/12/2022 08:54 AM - Mr. Yusuf

- Assignee changed from Mr. Yusuf to Saswanto Tampan

#3 - 09/15/2022 04:23 PM - Muhammad Bintar

- Assignee changed from Saswanto Tampan to Mr. Yusuf

Dear pak ucup,
memang ini maksimal karakter untuk filename nya hanya 40, jadi solusi nya harus dibuatkan validasi pada saat mengupload file ada peringatan
bahwa nama file harus di bawah 40 karakter agar dapat mengupload file attachment.

#4 - 09/19/2022 01:36 PM - Mr. Yusuf

Muhammad Bintar wrote:

dear tim developer mohon support nya untuk perbaikan pada ESS travel dimana pada saat upload attachment sukses masuk ke dalam form
ESS tetapi tidak bisa di lihat oleh atasan ds1 nya.
sudah di setting panjang length nya di sdatatablefield dan tabel design tetapi tidak pengaruh.

remote.minovais.com:61121
username minovais
password 123

database sql server 2019

remote.minovais.com, 1445\MSSQLSERVER2019

Nama File harus < 40 karakter ya, untuk solve sementara.
Untuk development bisa ditambahkan alert saat upload jika karakternya > 40.

#5 - 09/19/2022 01:37 PM - Mr. Yusuf
- Assignee changed from Mr. Yusuf to M Azid Wahyudi

#6 - 10/12/2022 02:27 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to Muhammad Bintar

dear masbin , udah bisa di test ya

package :
penambahan bizproc di init dan method

init : 'field[name=FileName]': {
change: function () {
ValAttach();
}
}I

method : function ValAttach(){

var namefile = Ext.ComponentQuery.query('fieldi[name=FileName]')[0].getValue();
if (namefile.length > 40) {

MinovaMessageError("Error", "VALATTACH", "");
Ext.ComponentQuery.query('field[name=FileName]')[0].setValue(");

}
}

messagecatalog : VALATTACH
makasih
#7 - 10/13/2022 11:16 AM - Muhammad Bintar

- File clipboard-202210131116-gmisn.png added
- Status changed from QA Test to Deploy

oke sudah deploy ke production di sana

AnyDesk [J minova-app@ad o

E | minova-app@ad

Minova ES | Home Minova ES | Travel Workflow Report X Minova ES | Employee Maste X Minova ES | User Manageme X

C Iocalhast

#8 - 10/13/2022 11:16 AM - Muhammad Bintar
- Status changed from Deploy to Closed
- Assignee changed from Muhammad Bintar to M Azid Wahyudi
Files

Business Trip - Identifikasi Sticker Shirojyun Ohtomi 2 Sep 2022 (1).dotX.5 KB 09/08/2022 Muhammad Bintar
testing upload attachment.mp4 5.68 MB 09/08/2022 Muhammad Bintar
clipboard-202210131116-gmisn.png 95.9 KB 10/13/2022 Muhammad Bintar
